# Class FindModeParameter

java.lang.Object
uk.ac.starlink.task.Parameter<uk.ac.starlink.table.join.PairMode>
uk.ac.starlink.task.AbstractChoiceParameter<uk.ac.starlink.table.join.PairMode, uk.ac.starlink.table.join.PairMode>
uk.ac.starlink.task.ChoiceParameter<uk.ac.starlink.table.join.PairMode>
uk.ac.starlink.ttools.join.FindModeParameter

public class FindModeParameter extends uk.ac.starlink.task.ChoiceParameter<uk.ac.starlink.table.join.PairMode>
Parameter for choosing table pair match mode.

Since:
  2 Nov 2007
Author:
  Mark Taylor

## Field Summary

### Fields inherited from class uk.ac.starlink.task.Parameter

`BY_NAME`

## Constructor Summary

Constructors
Constructor
Description
`FindModeParameter(String name)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`static String`
`getModeDescription(uk.ac.starlink.table.join.PairMode mode)`
Returns additional description for each given pair matching mode.
`String`
`stringifyOption(uk.ac.starlink.table.join.PairMode option)`

### Methods inherited from class uk.ac.starlink.task.ChoiceParameter

`getUsage, objectToString, setDefaultOption, setUsage, stringToObject`

### Methods inherited from class uk.ac.starlink.task.AbstractChoiceParameter

`addOption, addOption, choiceToString, clearOptions, getName, getOption, getOptionNames, getOptions, getOptionValueList, stringToChoice`

### Methods inherited from class uk.ac.starlink.task.Parameter

`clearValue, getDescription, getName, getPosition, getPreferExplicit, getPrompt, getStringDefault, getValueClass, isNullPermitted, objectValue, setDescription, setDescription, setName, setNullPermitted, setPosition, setPreferExplicit, setPrompt, setStringDefault, setValue, setValueFromObject, setValueFromString, stringValue, toArray, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FindModeParameter

public FindModeParameter(String name)
Constructor.

Parameters:
  `name` - parameter name

## Method Details

### stringifyOption

public String stringifyOption(uk.ac.starlink.table.join.PairMode option)

Overrides:
  `stringifyOption` in class `uk.ac.starlink.task.AbstractChoiceParameter<uk.ac.starlink.table.join.PairMode, uk.ac.starlink.table.join.PairMode>`

### getModeDescription

public static String getModeDescription(uk.ac.starlink.table.join.PairMode mode)
Returns additional description for each given pair matching mode.

Parameters:
  `mode` - mode to describe
Returns:
  XML-friendly description